/* Tooltips */
.tooltip-content {
	position: absolute;
	display: none;
	padding: 8px;
	font-size: 14px;
	line-height: 1.3em;
	z-index: 999;
	margin-top: 30px;
	max-width: 400px;
	/* tooltip content width */
	border: 1px solid black;
	/* tooltip content border */
	z-index: 9999;
	background-color: white;
	/* tooltip background color */
}

.tooltip {
	cursor: pointer;
	color: #000;
	text-decoration: dotted underline;
	/* text-decoration: none; */
}

/* Directory */

body {
	line-height: 1.6em;
	font-family: "Times New Roman", Times, serif;
}
a {
	font-size: 18px;
}
a:hover {
	text-decoration: none;
}

a {
	color: rgb(85, 85, 85);
}
p {
	font-size: 1.2em;
	max-width: 60ch;
}
header {
	display: flex;
	flex-wrap: nowrap;
	width: 100%;
	height: 50px;
	position: absolute;
	padding-right: 3vw;
	z-index: 2;
	/* padding-top: 2px; */
	align-items: center;

	.button {
		margin-top: 0;
		padding-top: 0;
		padding-bottom: 0;
		padding-left: 2vw;
		padding-right: 2vw;
	}
}

nav {
	height: fit-content;
	padding-top: 4px;

	a:not(:last-of-type) {
		margin-right: 1vw;
	}

	a {
		color: rgb(85, 85, 85);
		font-size: 20px;
		text-decoration: none;
	}
	a:visited {
		color: rgb(85, 85, 85);
	}
}

h2 {
	font-size: 140%;
	margin-bottom: 0.7em;
}
h3 {
	font-size: 130%;
	margin-bottom: 0.6em;
}
main {
	padding-top: calc(2.4em + 1vw);
	padding-right: 0vw;
	padding-bottom: 1vw;
	padding-left: 5vw;
}
ol {
	padding-left: 1vw;
}
ul {
	padding-left: 2vw;
}
.container {
	display: flex;
	flex-direction: row-reverse;
	justify-content: left;
	align-items: baseline;
}
.directory {
	width: 50%;
	padding-right: 10px;
}
.directoryindex {
	height: 100vh;
	position: sticky;
	align-self: flex-start;
	/*
        left: 60%;
*/
	top: 1em;
	padding: 0em 0em 0em 2em;
	line-height: 1.6em;
	overflow-x: scroll;
}
code {
	font-size: 100%;
	background-color: #e7e6e6;
	color: rgb(53, 53, 53);
	padding: 3px 5px;
}
@media screen and (max-width: 700px) {
	.directoryindex {
		height: auto;
		position: relative;
		left: 0;
		top: 0;
		padding: 0;
		border-left: none;
	}
	.container {
		flex-direction: column;
	}
	.directory {
		width: 100%;
	}
	ol {
		padding-left: 3vw;
	}
}
@media screen and (max-width: 550px) {
	main {
		padding-right: 0;
	}
}
